<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE_SPECIAL_USE" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.REQUEST_IGNORE_BATTERY_OPTIMIZATIONS" />

    <application
        android:name=".MyApplication"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher"
        android:supportsRtl="true"
        android:theme="@style/Theme.AutoClicker"
        tools:targetApi="31">
        <activity
            android:name=".ui.activity.main.QuestionActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.menu.FeedbackActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.menu.HowToUseActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.menu.BatteryLimitFreeActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.menu.TroubleshootingActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.main.AccessibilityActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.menu.ScriptsActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.setting.SettingActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.menu.MenuActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.main.MainActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.welcome.AgreementActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.welcome.SplashActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.welcome.LauncherActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <service
            android:name=".service.AutoClickService"
            android:enabled="true"
            android:exported="false"
            android:permission="android.permission.BIND_ACCESSIBILITY_SERVICE">
            <intent-filter>
                <action android:name="android.accessibilityservice.AccessibilityService" />
            </intent-filter>

            <meta-data
                android:name="android.accessibilityservice"
                android:resource="@xml/accessibility_service_config" />
        </service>
        <service
            android:name=".service.ForegroundService"
            android:enabled="true"
            android:exported="false"
            android:foregroundServiceType="specialUse" />
    </application>

</manifest>